
Foreman - Feature #1510

Send a email after a host build has completed

02/27/2012 05:40 AM - Nicolas Vogel

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: E-Mail   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1893

  

Description

Have the possibility for Foreman to send a email after a host build has completed.

The user can define/change the subject and the body of the email.

Related issues:

Related to Foreman - Tracker #7585: Mail notifications tracker New

Has duplicate Foreman - Feature #6212: Email when host provisioned Duplicate 06/13/2014

Associated revisions

Revision 1ef36c07 - 05/22/2015 08:59 AM - Stephen Benjamin

fixes #1510 - notification when host finishes building

History

#1 - 06/18/2013 11:28 AM - Benjamin Papillon

Hello,

If you feel like a developper, you can now implement this feature with the plugin system provided.

Here is a link to a sample plugin to start with : http://projects.theforeman.org/projects/1/wiki/How_to_Create_a_Plugin

#2 - 09/23/2014 04:38 AM - Stephen Benjamin

- Has duplicate Feature #6212: Email when host provisioned added

#3 - 09/23/2014 07:45 AM - Stephen Benjamin

- Related to Tracker #7585: Mail notifications tracker added

#4 - 10/01/2014 07:27 AM - Ohad Levy

- translation missing: en.field_release set to 21

#5 - 10/28/2014 05:17 AM - Dominic Cleal

- Target version set to 1.7.2

#6 - 10/28/2014 05:22 AM - Dominic Cleal

- translation missing: en.field_release deleted (21)

#7 - 10/31/2014 10:54 AM - The Foreman Bot

- Description updated

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1893 added
#8 - 05/22/2015 09:00 AM - Dominic Cleal

- translation missing: en.field_release set to 35

- Assignee set to Stephen Benjamin

#9 - 05/22/2015 09:03 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1ef36c075c9a333b3363aae0babeb24f00282748.
